if [ "$#" -lt 1 ]; then
    echo "Error: COMPOSE_FILE argument is missing."
    echo "Usage: $0 COMPOSE_FILE"
    exit 1
fi

COMPOSE_FILE="$1"
SCRIPTPATH="$( cd -- "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
ENV_FILE=$SCRIPTPATH/.env

# this env file is not being read and i don't know why.
# it's actually being loaded from compose.yml

docker compose -f $COMPOSE_FILE --env-file "${ENV_FILE}" run --rm -it  wp-cli sh -c \
'wp core multisite-install \
--title="${WORDPRESS_NETWORK_TITLE}" \
--url="${WORDPRESS_NETWORK_URL}" \
--admin_user="$WORDPRESS_ADMIN_USER" \
--admin_email="$WORDPRESS_ADMIN_EMAIL" \
--admin_password="$WORDPRESS_ADMIN_PASSWORD" \
--skip-config --skip-email' \
